Skip to content
Get API key (opens in a new tab)

Members

Get member points summary

Returns the current points summary for a specific member.

GEThttps://api.cevoid.com/v2/members/{profile_id}/points

Authorizations

Authorizationbearer tokenheaderrequired

Send Authorization: Bearer <key>, where the key is your API key.

Path parameters

profile_idstringrequired

Cevoid profile ID.

  • Example: prf_abc123

Response

200 Successful response application/json

dataobjectrequired

Requested resource.

Properties (9)
totalnumberrequired

Total active and pending points.

  • Example: 1250
spendablenumberrequired

Active points available to spend.

  • Example: 1150
pendingnumberrequired

Earned points not active yet.

  • Example: 100
expiring_30dnumberrequired

Points expiring within 30 days.

  • Example: 400
expiring_60dnumberrequired

Points expiring within 60 days.

  • Example: 650
expiring_90dnumberrequired

Points expiring within 90 days.

  • Example: 750
lifetime_earnednumberrequired

Points earned over the membership lifetime.

  • Example: 5400
lifetime_spentnumberrequired

Points spent over the membership lifetime.

  • Example: 4150
next_expiration_atstring<date-time>

Earliest upcoming active-points expiration.

  • Example: 2026-12-31T00:00:00.000Z
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

401 Unauthorized application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

403 Forbidden application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

404 Not found application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

422 Validation error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

429 Too many requests application/json

additional_dataobjectrequired

Machine-readable rate-limit details.

Properties (2)
retry_after_secondsintegerrequired
  • Range: 0 <= x
{key}any
statusintegerrequired

HTTP status code.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable error description.

  • Example: Resource not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (6)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available

Retry-Afterinteger

Seconds to wait before retrying the request

500 Internal server error application/json

additional_dataobject

Optional machine-readable error details.

Properties (1)
{key}any
statusnumberrequired

HTTP status code for the error response.

  • Example: 404
codestringrequired

Stable machine-readable error code.

  • Example: not_found
messagestringrequired

Human-readable description of the error.

  • Example: Route not found
request_idstring

Request identifier for support and tracing.

  • Example: req_abc123
Response headers (5)
Cevoid-Processing-Msstring

End-to-end request processing time in milliseconds

Cevoid-Request-Idstring

Request identifier for support and tracing

RateLimit-Limitstring

Current rate limit bucket size

RateLimit-Remainingstring

Remaining requests in the current rate limit window

RateLimit-Resetinteger

Seconds until the next request token is available